# Uses of Class
org.apache.lucene.util.packed.DirectWriter

Packages that use DirectWriter
Package
Description
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of DirectWriter in org.apache.lucene.util.packed

  Methods in org.apache.lucene.util.packed that return DirectWriter
  Modifier and Type
  Method
  Description
  `static DirectWriter`
  DirectWriter.`getInstance(DataOutput output, long numValues, int bitsPerValue)`
  Returns an instance suitable for encoding `numValues` using `bitsPerValue`